Registrieren / Anmelden
Simulator Forum Handbuch https 
Forum :: Fehler und Probleme

 

Aktuelle Zeit: Mo Okt 22, 2018 9:24 am

Alle Zeiten sind UTC + 1 Stunde


Forumsregeln


Die Forumsregeln lesen



Ein neues Thema erstellen Auf das Thema antworten  [ 13 Beitr√§ge ] 
Autor Nachricht
 Betreff des Beitrags: Problem mit Kommunikator und Java
BeitragVerfasst: Di Mai 01, 2018 8:21 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
Hallo,

ich kann seit heute den Kommunikator nicht mehr starten. Es kommt dann ein Fenster mit "Anwendung kann nicht gestartet werden". Ich habe bereits im Forum einen ähnlichen, älteren Beitrag dazu gefunden, doch da ich mit der Technik nicht so ganz bewandert bin, habe ich es nicht ganz verstanden, was dort explizit gemacht wurde. Ich habe nur verstanden, dass dort jemand meinte irgendwie Java 8 zu installieren.

Ich habe bereits (versucht) Java 8 zu installieren, aber es hat sich nicht gebessert.

Es wäre nett, wenn mir jemand es so erklären könnte, sodass auch ich es verstehe :D .

Mfg Tom


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Di Mai 01, 2018 9:00 pm 

Registriert: Fr Mär 09, 2012 11:59 am
Beiträge: 462
Wohnort: bei Landau
Du musst den Simulator möglicherweise explizit mit Java 8 starten. Das geht beispielsweise mit folgendem Befehl in der Kommandozeile:
Code:
"C:\Program Files\Java\jre1.8.0_171\bin\javaws.exe" "C:\Users\[Name]\Downloads\[Datei].jnlp"
wobei du [Name] durch deinen Windows-Benutzernamen und [Datei] durch den Dateinamen der heruntergeladenen .jnlp-Datei ersetzt. Falls du Java 8 in einen anderen Ordner installiert hast musst du nat√ľrlich auch den Pfad zur javaws.exe anpassen.

David


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Do Mai 03, 2018 7:50 pm 

Registriert: Mo Jul 06, 2015 8:05 pm
Beiträge: 11
√Ėffne mal die Eingabeaufforderung (wenn du Win10 hast, einfach unten auf start klicken und cmd eingeben und enter) und tippe dort ein

Code:
java --version


Poste mal die Ausgabe.


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 05, 2018 12:59 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
Wickedz hat geschrieben:
√Ėffne mal die Eingabeaufforderung (wenn du Win10 hast, einfach unten auf start klicken und cmd eingeben und enter) und tippe dort ein

Code:
java --version


Poste mal die Ausgabe.


"Unrecognized option: --version
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occureed. Program will exit"


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 05, 2018 1:08 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
Wickedz hat geschrieben:
√Ėffne mal die Eingabeaufforderung (wenn du Win10 hast, einfach unten auf start klicken und cmd eingeben und enter) und tippe dort ein

Code:
java --version


Poste mal die Ausgabe.


Ich habe mal etwas ausprobiert (Link: https://praxistipps.chip.de/java-welche ... iert_23946 )
Laut dem Control Panel habe ich Verison 8 Update 171

Hoffe das hilft dir weiter.

Ich habe auch irgendwie versucht den Komunikator mit Java 8 zu starten, (√∂ffnen mit...) aber es wird angezeigt, dass der Komunikator irgendwelche Swiches(?) und Fehler vorhanden sind. "(...) Stellen Sie sicher das die Befehle g√ľltig sind und versuchen Sie es erneut" wird mir dann gezeigt.


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 05, 2018 4:44 pm 

Registriert: Fr Mär 09, 2012 11:59 am
Beiträge: 462
Wohnort: bei Landau
trainspotterdstr hat geschrieben:
Ich habe auch irgendwie versucht den Komunikator mit Java 8 zu starten, (√∂ffnen mit...) aber es wird angezeigt, dass der Komunikator irgendwelche Swiches(?) und Fehler vorhanden sind. "(...) Stellen Sie sicher das die Befehle g√ľltig sind und versuchen Sie es erneut" wird mir dann gezeigt.
Welche Befehle werden bei dir denn ausgef√ľhrt werden, wenn du "√Ėffnen mit... Java" ausw√§hlst? M√∂glicherweise versucht dein Rechner, die Datei mit java.exe zu starten. Das wird nicht funktionieren, stattdessen solltest du javaws.exe daf√ľr verwenden.

David


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: So Mai 06, 2018 1:49 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
DLichti hat geschrieben:
trainspotterdstr hat geschrieben:
Ich habe auch irgendwie versucht den Komunikator mit Java 8 zu starten, (√∂ffnen mit...) aber es wird angezeigt, dass der Komunikator irgendwelche Swiches(?) und Fehler vorhanden sind. "(...) Stellen Sie sicher das die Befehle g√ľltig sind und versuchen Sie es erneut" wird mir dann gezeigt.
Welche Befehle werden bei dir denn ausgef√ľhrt werden, wenn du "√Ėffnen mit... Java" ausw√§hlst? M√∂glicherweise versucht dein Rechner, die Datei mit java.exe zu starten. Das wird nicht funktionieren, stattdessen solltest du javaws.exe daf√ľr verwenden.

David


Hallo, ich habe es jetzt mal probiert. Leider funktioniert es immer noch nicht.


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Di Mai 08, 2018 8:06 pm 

Registriert: Fr Mär 09, 2012 11:59 am
Beiträge: 462
Wohnort: bei Landau
trainspotterdstr hat geschrieben:
"Unrecognized option: --version
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occureed. Program will exit"
Eine Anmerkung am Rande: Die Option "--version" gibt es erst ab Java 9. √Ąltere Versionen verstehen nur "-version".

David


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Fr Mai 11, 2018 11:52 am 
EntwicklerStellwerk-Mod

Registriert: Do Aug 07, 2008 12:53 pm
Beiträge: 1443
Was genau funktioniert denn nicht, bzw. welche Fehlermeldung kommt?
Mit einer Aussage wie "Leider funktioniert es immer noch nicht." kann hier keiner was anfangen.

Außerdem wirst du per Email keinerlei Hilfe bekommen.


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 12, 2018 2:13 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
DLichti hat geschrieben:
trainspotterdstr hat geschrieben:
"Unrecognized option: --version
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occureed. Program will exit"
Eine Anmerkung am Rande: Die Option "--version" gibt es erst ab Java 9. √Ąltere Versionen verstehen nur "-version".

David


Ich hab das mal probiert, ich hab 1.8.0_171.


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 12, 2018 2:23 pm 

Registriert: Fr Aug 12, 2016 8:30 pm
Beiträge: 7
Wohnort: Dresden
oberrheiner hat geschrieben:
Was genau funktioniert denn nicht, bzw. welche Fehlermeldung kommt?
Mit einer Aussage wie "Leider funktioniert es immer noch nicht." kann hier keiner was anfangen.

Außerdem wirst du per Email keinerlei Hilfe bekommen.


Wenn ich den Komunikator mit der javaws Datei starte,so wie es jemand hier vorschlug, (also √∂ffnen mit...), kommt dann ein Fenster wo steht "Anwendung kann nicht gestartet werden", so und wenn ich auf Details dr√ľcke steht dann das: (hab mal n St√ľck rauskopiert)

JNLParseException[ Startdatei konnte nicht geparst werden. Fehler in Zeile 14.]
at com.sun.javaws.jnl.XMLFormat.parse(Unknown Source)
at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
at com.sun.javaws.Launcher.updateFinalLaunchDesc(Unknown Source)
at com.sun.javaws.Launcher.prepareToLaunch(Unknown Source)
at com.sun.javaws.Launcher.prepareToLaunch(Unknown Source)
at com.sun.javaws.Launcher.launch(Unknown Source)
at com.sun.javaws.Main.launchApp(Unknown Source)
at com.sun.javaws.Main.continueInSecureThread(Unknown Source)
at com.sun.javaws.Main.access$000(Unknown Source)
at com.sun.javaws.Main$1.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Caused by: org.xml.sax.SAXParseException; lineNumber: 14; columnNumber: 3; Elementtyp "meta" muss mit dem entsprechenden Endtag "</meta>" beendet werden.
(...)


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: Sa Mai 12, 2018 2:55 pm 
EntwicklerStellwerk-Mod

Registriert: Do Aug 07, 2008 12:53 pm
Beiträge: 1443
Hast du schon die Hinweise im Handbuch beachtet?
Unter anderem: https://doku.stellwerksim.de/doku.php?i ... ava:update


Nach oben
 Profil
  
 
Mit Zitat antworten  
BeitragVerfasst: So Mai 13, 2018 6:44 am 

Registriert: Fr Mär 09, 2012 11:59 am
Beiträge: 462
Wohnort: bei Landau
trainspotterdstr hat geschrieben:
Caused by: org.xml.sax.SAXParseException; lineNumber: 14; columnNumber: 3; Elementtyp "meta" muss mit dem entsprechenden Endtag "</meta>" beendet werden.
Das liest sich so, als ob du die Downloadseite heruntergeladen hast statt die Java-Datei.[1] Lade bitte von der Downloadseite die jnlp-Datei herunter und versuche es nochmal.

David


[1]<meta> ist ein typisches HTML-<head>-Element. Der <head> in der Downloadseite endet in Zeile 14 ohne vorheriges <meta>-Endtag. Das ist HTML-konform, aber nicht XML-konform. Javaws erwartet aber eine XML-Datei. In der jnlp-Datei kommt kein <meta>-Tag vor.


Nach oben
 Profil
  
 
Mit Zitat antworten  
Beitr√§ge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen Auf das Thema antworten  [ 13 Beitr√§ge ] 

Alle Zeiten sind UTC + 1 Stunde


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.

Suche nach:
Gehe zu:  
Powered by phpBB® Forum Software © phpBB Group
Deutsche √úbersetzung durch phpBB.de
Impressum